Bug 1665246 (exiv2_027) - exiv2 0.27 Tracker
Summary: exiv2 0.27 Tracker
Keywords:
Status: CLOSED RAWHIDE
Alias: exiv2_027
Product: Fedora
Classification: Fedora
Component: exiv2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1671082 1671084 1671085 1671087 1671088 1671150 1671151 1671152 1671153 1671155 1671156 1671158 1671159 1674951 1712982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-10 19:11 UTC by Germano Massullo
Modified: 2019-05-22 18:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 14:19:56 UTC


Attachments (Terms of Use)

Description Germano Massullo 2019-01-10 19:11:49 UTC
Description of problem:
OpenSUSE exiv2 maintainer alerted me about the new 0.27 exiv2 version, and he also kindly sent me the list of patches that apply to 0.27 [1].
We should also check if our 0.26 patches [2] still apply to 0.27


[1]: https://build.opensuse.org/package/show/graphics/exiv2
[2]: https://src.fedoraproject.org/rpms/exiv2/tree/master

Comment 1 Rex Dieter 2019-01-10 20:09:33 UTC
Maybe?

Upstream made a (IMO) big mess with 0.27, significantly changing api and abi.  I haven't had time to sort it all out (will likely reach out on -devel list looking for comaintainer help).

Comment 2 Rex Dieter 2019-01-10 20:28:34 UTC
That said, if suse already got it working, defintely can leverage that.  Thanks!

Comment 3 Rex Dieter 2019-01-10 21:05:30 UTC
I take back my comment about it being a mess.  the 0.27-RC1 release was a mess, but I hadn't seen anything since then.  Much better now :)  yay.

I'll work to get this into rawhide over the coming days, and announce and arrange for necessary package rebuilds.

Comment 4 Germano Massullo 2019-01-10 21:06:59 UTC
Perfect. If you need any help, just let me know

Comment 7 Andreas Schneider 2019-01-11 10:06:34 UTC
Rex, I can help with exiv2 if there is need to.

Comment 8 Rex Dieter 2019-01-30 16:25:36 UTC
Starting in today, initial build underway,
https://koji.fedoraproject.org/koji/taskinfo?taskID=32345809

Comment 9 dan.cermak 2019-01-30 23:23:42 UTC
I have glanced over the source rpm and it looks you don't need 0035-cmake-ignore-warnings-about-missing-PDB-files-in-3rd.patch, that one should only fix stuff for Microsoft's C++ compiler.

Comment 10 Rex Dieter 2019-05-22 14:19:56 UTC
exiv2 0.27 landed in rawhide awhile back, little point in continuing to track the last couple FTBFS issues here (imo).  closing


Note You need to log in before you can comment on or make changes to this bug.